Bug 210665 - [exp-run] Remove rdtool support from bsd.ruby.mk
Summary: [exp-run] Remove rdtool support from bsd.ruby.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-28 15:18 UTC by Steve Wills
Modified: 2016-09-15 16:06 UTC (History)
1 user (show)

See Also:


Attachments
patch to remove rdtool support (14.16 KB, patch)
2016-06-28 15:18 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2016-06-28 15:18:43 UTC
Created attachment 171912 [details]
patch to remove rdtool support

Feature has been disabled for nearly 12 years. Time to remove it. Please exp-run if needed. Also created review:

https://reviews.freebsd.org/D7008
Comment 1 Antoine Brodin freebsd_committer 2016-06-29 14:36:53 UTC
Exp-run was fine,  make sure to bump PORTREVISION where the plist changes.
Comment 2 commit-hook freebsd_committer 2016-09-15 14:35:33 UTC
A commit references this bug:

Author: swills
Date: Thu Sep 15 14:35:29 UTC 2016
New revision: 422195
URL: https://svnweb.freebsd.org/changeset/ports/422195

Log:
  devel/ruby-bsearch: remove use of RUBY_RD_FILES

  PR:		210665

Changes:
  head/devel/ruby-bsearch/Makefile
  head/devel/ruby-bsearch/pkg-plist
Comment 3 commit-hook freebsd_committer 2016-09-15 14:36:35 UTC
A commit references this bug:

Author: swills
Date: Thu Sep 15 14:36:21 UTC 2016
New revision: 422196
URL: https://svnweb.freebsd.org/changeset/ports/422196

Log:
  audio/ruby-mp3tag: remove use of RUBY_RD_FILES

  PR:		210665

Changes:
  head/audio/ruby-mp3tag/Makefile
  head/audio/ruby-mp3tag/pkg-plist
Comment 4 commit-hook freebsd_committer 2016-09-15 14:37:36 UTC
A commit references this bug:

Author: swills
Date: Thu Sep 15 14:37:13 UTC 2016
New revision: 422197
URL: https://svnweb.freebsd.org/changeset/ports/422197

Log:
  audio/ruby-taglib: remove use of RUBY_RD_FILES

  PR:		210665

Changes:
  head/audio/ruby-taglib/Makefile
Comment 5 commit-hook freebsd_committer 2016-09-15 14:38:37 UTC
A commit references this bug:

Author: swills
Date: Thu Sep 15 14:38:03 UTC 2016
New revision: 422198
URL: https://svnweb.freebsd.org/changeset/ports/422198

Log:
  devel/ruby-tzfile: remove use of RUBY_RD_FILES/RUBY_RD_HTML

  PR:		210665

Changes:
  head/devel/ruby-tzfile/Makefile
  head/devel/ruby-tzfile/pkg-plist
Comment 6 commit-hook freebsd_committer 2016-09-15 14:58:40 UTC
A commit references this bug:

Author: swills
Date: Thu Sep 15 14:58:37 UTC 2016
New revision: 422199
URL: https://svnweb.freebsd.org/changeset/ports/422199

Log:
  graphics/ruby-image_size: remove RUBY_RD_FILES

  PR:		210665

Changes:
  head/graphics/ruby-image_size/Makefile
  head/graphics/ruby-image_size/pkg-plist
Comment 7 commit-hook freebsd_committer 2016-09-15 15:05:41 UTC
A commit references this bug:

Author: swills
Date: Thu Sep 15 15:05:16 UTC 2016
New revision: 422200
URL: https://svnweb.freebsd.org/changeset/ports/422200

Log:
  japanese/ruby-romkan: remove RUBY_RD_FILES

  PR:		210665

Changes:
  head/japanese/ruby-romkan/Makefile
  head/japanese/ruby-romkan/pkg-plist
Comment 8 commit-hook freebsd_committer 2016-09-15 15:06:43 UTC
A commit references this bug:

Author: swills
Date: Thu Sep 15 15:06:06 UTC 2016
New revision: 422201
URL: https://svnweb.freebsd.org/changeset/ports/422201

Log:
  textproc/ruby-htree: remove RUBY_RD_HTML_FILES

  PR:		210665

Changes:
  head/textproc/ruby-htree/Makefile
Comment 9 commit-hook freebsd_committer 2016-09-15 15:07:44 UTC
A commit references this bug:

Author: swills
Date: Thu Sep 15 15:06:51 UTC 2016
New revision: 422202
URL: https://svnweb.freebsd.org/changeset/ports/422202

Log:
  textproc/ruby-rttool: remove USE_RUBY_RDTOOL

  PR:		210665

Changes:
  head/textproc/ruby-rttool/Makefile
Comment 10 commit-hook freebsd_committer 2016-09-15 15:08:46 UTC
A commit references this bug:

Author: swills
Date: Thu Sep 15 15:08:26 UTC 2016
New revision: 422203
URL: https://svnweb.freebsd.org/changeset/ports/422203

Log:
  textproc/ruby-sary: remove RUBY_RD_FILES

  PR:		210665

Changes:
  head/textproc/ruby-sary/Makefile
  head/textproc/ruby-sary/pkg-plist
Comment 11 Steve Wills freebsd_committer 2016-09-15 16:06:07 UTC
Final change committed in r422211.